Search results for

“Request failed with http status code 503”

201,048 results found

Post

Replies

Boosts

Views

Activity

Question: Swiftui http request without button
Hello guys, I´m new to the forum and have a question concerning a http request which should be established without a button clicked. Basically I would like to have everything inside the button´s action tag done automatically without a button clicked. Thanks in advance. Nikias Here is my code from the ts.view : import SwiftUI struct ContentView: View { @State var username: String = ... @State var password: String = ... var body: some View { ZStack { VStack { Button(action: { if 1==1 { let myUrl = URL(string: var request = URLRequest(url:myUrl!) request.httpMethod = POST// Compose a query string let postString = Name=($username)&Passwort=($password); request.httpBody = postString.data(using: String.Encoding.utf8); let task = URLSession.shared.dataTask(with: request) { (data: Data?, response: URLResponse?, error: Error?) in if error != nil { print(error=(error)) return } // You can print out response object print(response = (response)) //Let's convert response se
19
0
4.2k
Jan ’21
NEVPNErrorDomain Code=5 "IPC failed"
While loading preferences from NETunnelProviderManager with API loadAllFromPreferencesWithCompletionHandler , I get error Error Domain=NEVPNErrorDomain Code=5 IPC failed UserInfo={NSLocalizedDescription=IPC failed}. This happens very rarely. Any idea what could be leading to this IPC failure. Sys diagnostics around same time com.apple.networkextension default 3374 2023-03-31 13:52:27.010705 -0700 TestApp Received a com.apple.neconfigurationchanged notification with token 105 com.apple.networkextension default 3374 2023-03-31 13:52:27.010720 -0700 TestApp Lost connection to nehelper: Connection interrupted com.apple.networkextension error 3374 2023-03-31 13:52:27.010752 -0700 TestApp Failed to send a 6 message to nehelper: <dictionary: 0x25c06da80> { count = 1, transaction: 0, voucher = 0x0, contents = XPCErrorDescription => <string: 0x25c06dc18> { length = 18, contents = Connection invalid } } com.apple.networkextension default 3374 2023-03-31 13:52:27.010855
0
0
1.2k
Apr ’23
Exporting Localizations for Workspace fails with "ComputeTargetDependencyGraph failed with a nonzero exit code"
We have a workspace with three projects in it. Trying to export localizations for the workspace fails with the ComputeTargetDependencyGraph failed with a nonzero exit code error but with no additional information to track down the failure. Here are the exact steps I've tried: Click Menu Bar > Product > Export Localizations > Workspace (the first item in the menu) A few moments later, an error alert pops up that says Unable to build project for localization string extraction In the build log tab, it shows this: If I try running xcodebuild -exportLocalizations -localizationPath ~/ExportedWorkspaceLocalizations -workspace <workspaceLocation> -exportLanguage en, the same ComputeTargetDependencyGraph failed with a nonzero exit code error message appears. Exporting the three projects individually works great when I go to Menu Bar > Product > Export Localizations > Select one of the three projects instead of the workspace. Has anyone else run into
0
0
744
May ’24
Cloud signing: Validation failed (409) Invalid Signature. Code failed to satisfy specified code requirement(s)
I'm attempting to use Cloud Signing to export the Release version of 3 different apps for App Store, as described in https://developer.apple.com/videos/play/wwdc2021/10204/ The process completes successfully, and appears to be signed correctly, with a newly-created certificate in the developer portal of type Distribution Managed. When I upload to App Store Connect however, I see the following error for several third-party Swift packages, distributed as frameworks: Validation failed (409) Invalid Signature. Code failed to satisfy specified code requirement(s). The file at path “MyApp.app/Frameworks/MyFramework.framework/MyFramework” is not properly signed. Make sure you have signed your application with a distribution certificate, not an ad hoc certificate or a development certificate. Verify that the code signing settings in Xcode are correct at the target level (which override any values at the project level). Additionally, make sure the bundle you are up
0
0
215
Feb ’26
Reply to 401 error when accessing API via node.js
I can't get this to work for me,using curl -v -H Authorization: Bearer TOKENHERE https://api.appstoreconnect.apple.com/v1/salesReportsand getting errors: [{ status: 401, code: NOT_AUTHORIZED, title: Authentication credentials are missing or invalid., detail: Provide a properly configured and signed bearer token, and make sure that it has not expired. Learn more about Generating Tokens for API Requests https://developer.apple.com/go/?id=api-generating-tokens }]Also, Apple's API documentation says expiresIn value cannot be greater than 20 minutes. I've tried countless variations of the above code in both JS and Python, and I keep getting a 401.
Topic: Media Technologies SubTopic: General Tags:
Aug ’19
AVAssetWriter failed on macOS 12.0.01/iOS15.1.1 with error code -11800 and underlying code -17771
Hi there, I used AVAssetWriter to export mp4 file, input audio and video samples are encoded data (aac and h264 samples), sometimes it works well, but sometime it will failed randomly with error code -11800 and underlying code -17771 after calling finishWritingWithCompletionHandler, log looks like this: AVAssetWriter status: Failed, status:err:Error Domain=AVFoundationErrorDomain Code=-11800 The operation could not be completed UserInfo={NSLocalizedFailureReason=An unknown error occurred (-17771), NSLocalizedDescription=The operation could not be completed, NSUnderlyingError=0x60400008e1d0 {Error Domain=NSOSStatusErrorDomain Code=-17771 (null)}}, status=3 And I notice these logs on Console.app just before the error message: default 17:35:08.380220+0800 MyAPP <<<< FigExportCommmon >>>> remakerFamily_formatWriterErrorOccurred: (0x6140001ba240) default 17:35:08.380561+0800 MyAPP <<<< FigExportCommmon >&
3
0
1.3k
Jan ’22
Code has restricted entitlements, but the validation of its code signature failed.
Hello, I'm adding a camera extension to the existing application. The problem that it crashes with the following message in the console: Code has restricted entitlements, but the validation of its code signature failed. Unsatisfied Entitlements: However, it crashes under macOS 11.6 only. Interestingly, it works fine on other devices running macOS 12, 13 and even 11.6.1. I haven't tried it with older macOS versions, however I doubt it's going to work with them either. Is there a way to fix this? If you need any additional information, please let me know. codesign -d --entitlements :- /Applications/AppName.app com.apple.security.device.camera com.apple.security.device.audio-input com.apple.security.cs.disable-library-validation com.apple.developer.system-extension.install com.apple.security.application-groups 7XXXXXXX.com.example.AppName security cms -D -i /Applications/AppName.app/Contents/embedded.provisionprofile Entitlements com.apple.developer.system-extension.install com
2
0
1.8k
Dec ’22
DeviceActivityReport failing to load "Code = 2"
Hi! For some reason my DeviceActivityReport sometimes fails to load. I've tried setting up a very simple mock views and displaying a report with a simple Hello world but even that won't work. It prints the following error message in the terminal but doesn't show anything else or any context as to what has gone wrong. Failed to update the client's configuration: Error Domain=DeviceActivityReportService.ReportViewController.ClientError Code=2 (null) It seems like the makeConfiguration method for the report isn't even being invoked. That may though just be an issue with printing messages in the extension. Any help on what could be the issue, or even just a message that you're being the same thing would be greatly appreciated!
0
0
191
Oct ’25
Reply to HTTP/3 Quic support in MacOS?
It depends on what you mean by “full part of the OS”. From the perspective of a native app developer, you can opt into to HTTP/3 with a simple flag. For example, when I run the code at the end of this response on macOS 13 it prints: protocols: [h3, h3, h3] status: 200 bytes: 13484 showing that all 3 transactions in this request ran over HTTP/3. Note This test was inspired by the code in TN3102 HTTP/3 in your app. Or are you asking specifically about Safari? Share and Enjoy — Quinn “The Eskimo!” @ Developer Technical Support @ Apple let myEmail = eskimo + 1 + @ + apple.com import Foundation @main class Main: NSObject, URLSessionTaskDelegate { func run() async throws { let config = URLSessionConfiguration.default config.requestCachePolicy = .reloadIgnoringLocalCacheData let session = URLSession(configuration: config, delegate: self, delegateQueue: .main) // We are leaking session here but that’s OK in this test project. print(will start task) let ur
Feb ’23
VTDecompressionSessionCreate fails with code -12911 on M1 iPad
In the context of an app that uses a VTDecompressionSession to decode incoming ts streams, the creation of the decompression session always fails for some h264 streams with code -12911 when running on a M1 iPad (iPad Pro, 12.9-inch, 5th generation, iOS 15.5). When the same app is executed on my M1 Mac mini -as My Mac (Designed for iPad)- with the same stream, VTDecompressionSessionCreatesucceeds and the stream can be decoded. Any idea of what could cause this error on the iPad? The code: decompressionSessionCreationStatus = VTDecompressionSessionCreate(allocator: kCFAllocatorDefault, formatDescription: videoFormatDescription!, decoderSpecification: nil, imageBufferAttributes: nil, outputCallback: nil, decompressionSessionOut: &videoDecompressionSession) if videoDecompressionSession != nil { ... } else { NSLog(videoDecompressionSession could not be created (status: %d): video format: %@, decompressionSessionCreationStatus, (videoFormatDescription != nil) ? (CFCopyDescrip
2
0
1.5k
Jun ’22
Question: Swiftui http request without button
Hello guys, I´m new to the forum and have a question concerning a http request which should be established without a button clicked. Basically I would like to have everything inside the button´s action tag done automatically without a button clicked. Thanks in advance. Nikias Here is my code from the ts.view : import SwiftUI struct ContentView: View { @State var username: String = ... @State var password: String = ... var body: some View { ZStack { VStack { Button(action: { if 1==1 { let myUrl = URL(string: var request = URLRequest(url:myUrl!) request.httpMethod = POST// Compose a query string let postString = Name=($username)&Passwort=($password); request.httpBody = postString.data(using: String.Encoding.utf8); let task = URLSession.shared.dataTask(with: request) { (data: Data?, response: URLResponse?, error: Error?) in if error != nil { print(error=(error)) return } // You can print out response object print(response = (response)) //Let's convert response se
Replies
19
Boosts
0
Views
4.2k
Activity
Jan ’21
NEVPNErrorDomain Code=5 "IPC failed"
While loading preferences from NETunnelProviderManager with API loadAllFromPreferencesWithCompletionHandler , I get error Error Domain=NEVPNErrorDomain Code=5 IPC failed UserInfo={NSLocalizedDescription=IPC failed}. This happens very rarely. Any idea what could be leading to this IPC failure. Sys diagnostics around same time com.apple.networkextension default 3374 2023-03-31 13:52:27.010705 -0700 TestApp Received a com.apple.neconfigurationchanged notification with token 105 com.apple.networkextension default 3374 2023-03-31 13:52:27.010720 -0700 TestApp Lost connection to nehelper: Connection interrupted com.apple.networkextension error 3374 2023-03-31 13:52:27.010752 -0700 TestApp Failed to send a 6 message to nehelper: <dictionary: 0x25c06da80> { count = 1, transaction: 0, voucher = 0x0, contents = XPCErrorDescription => <string: 0x25c06dc18> { length = 18, contents = Connection invalid } } com.apple.networkextension default 3374 2023-03-31 13:52:27.010855
Replies
0
Boosts
0
Views
1.2k
Activity
Apr ’23
Requesting source code of worklog
Hi, I’d like to access the source code for the demo app from whats new in screen time api. Can I get a copy of it through email or can you post it under sample code of wwdc 22 section?
Replies
2
Boosts
0
Views
1.3k
Activity
Mar ’23
Exporting Localizations for Workspace fails with "ComputeTargetDependencyGraph failed with a nonzero exit code"
We have a workspace with three projects in it. Trying to export localizations for the workspace fails with the ComputeTargetDependencyGraph failed with a nonzero exit code error but with no additional information to track down the failure. Here are the exact steps I've tried: Click Menu Bar > Product > Export Localizations > Workspace (the first item in the menu) A few moments later, an error alert pops up that says Unable to build project for localization string extraction In the build log tab, it shows this: If I try running xcodebuild -exportLocalizations -localizationPath ~/ExportedWorkspaceLocalizations -workspace <workspaceLocation> -exportLanguage en, the same ComputeTargetDependencyGraph failed with a nonzero exit code error message appears. Exporting the three projects individually works great when I go to Menu Bar > Product > Export Localizations > Select one of the three projects instead of the workspace. Has anyone else run into
Replies
0
Boosts
0
Views
744
Activity
May ’24
Cloud signing: Validation failed (409) Invalid Signature. Code failed to satisfy specified code requirement(s)
I'm attempting to use Cloud Signing to export the Release version of 3 different apps for App Store, as described in https://developer.apple.com/videos/play/wwdc2021/10204/ The process completes successfully, and appears to be signed correctly, with a newly-created certificate in the developer portal of type Distribution Managed. When I upload to App Store Connect however, I see the following error for several third-party Swift packages, distributed as frameworks: Validation failed (409) Invalid Signature. Code failed to satisfy specified code requirement(s). The file at path “MyApp.app/Frameworks/MyFramework.framework/MyFramework” is not properly signed. Make sure you have signed your application with a distribution certificate, not an ad hoc certificate or a development certificate. Verify that the code signing settings in Xcode are correct at the target level (which override any values at the project level). Additionally, make sure the bundle you are up
Replies
0
Boosts
0
Views
215
Activity
Feb ’26
Reply to 401 error when accessing API via node.js
I can't get this to work for me,using curl -v -H Authorization: Bearer TOKENHERE https://api.appstoreconnect.apple.com/v1/salesReportsand getting errors: [{ status: 401, code: NOT_AUTHORIZED, title: Authentication credentials are missing or invalid., detail: Provide a properly configured and signed bearer token, and make sure that it has not expired. Learn more about Generating Tokens for API Requests https://developer.apple.com/go/?id=api-generating-tokens }]Also, Apple's API documentation says expiresIn value cannot be greater than 20 minutes. I've tried countless variations of the above code in both JS and Python, and I keep getting a 401.
Topic: Media Technologies SubTopic: General Tags:
Replies
Boosts
Views
Activity
Aug ’19
Reply to Sending channel management requests to APNs but always get "TopicMismatch"
Is already your Bundle ID? Can you share the complete HTTP/2 request (headers and payload) and the full response from APNs please. If that is not appropriate, then we need at least: apns-request-id, apns-channel-id, and the exact time (with Time Zone) you sent the request that failed.
Replies
Boosts
Views
Activity
Nov ’24
Command SwiftEmitModule failed with a nonzero exit code
Command SwiftEmitModule failed with a nonzero exit code, how I can fix this error?
Replies
1
Boosts
0
Views
1k
Activity
Apr ’23
AVAssetWriter failed on macOS 12.0.01/iOS15.1.1 with error code -11800 and underlying code -17771
Hi there, I used AVAssetWriter to export mp4 file, input audio and video samples are encoded data (aac and h264 samples), sometimes it works well, but sometime it will failed randomly with error code -11800 and underlying code -17771 after calling finishWritingWithCompletionHandler, log looks like this: AVAssetWriter status: Failed, status:err:Error Domain=AVFoundationErrorDomain Code=-11800 The operation could not be completed UserInfo={NSLocalizedFailureReason=An unknown error occurred (-17771), NSLocalizedDescription=The operation could not be completed, NSUnderlyingError=0x60400008e1d0 {Error Domain=NSOSStatusErrorDomain Code=-17771 (null)}}, status=3 And I notice these logs on Console.app just before the error message: default 17:35:08.380220+0800 MyAPP <<<< FigExportCommmon >>>> remakerFamily_formatWriterErrorOccurred: (0x6140001ba240) default 17:35:08.380561+0800 MyAPP <<<< FigExportCommmon >&
Replies
3
Boosts
0
Views
1.3k
Activity
Jan ’22
Code has restricted entitlements, but the validation of its code signature failed.
Hello, I'm adding a camera extension to the existing application. The problem that it crashes with the following message in the console: Code has restricted entitlements, but the validation of its code signature failed. Unsatisfied Entitlements: However, it crashes under macOS 11.6 only. Interestingly, it works fine on other devices running macOS 12, 13 and even 11.6.1. I haven't tried it with older macOS versions, however I doubt it's going to work with them either. Is there a way to fix this? If you need any additional information, please let me know. codesign -d --entitlements :- /Applications/AppName.app com.apple.security.device.camera com.apple.security.device.audio-input com.apple.security.cs.disable-library-validation com.apple.developer.system-extension.install com.apple.security.application-groups 7XXXXXXX.com.example.AppName security cms -D -i /Applications/AppName.app/Contents/embedded.provisionprofile Entitlements com.apple.developer.system-extension.install com
Replies
2
Boosts
0
Views
1.8k
Activity
Dec ’22
Command CompileSwift failed with a nonzero exit code
How to fix 'Command CompileSwift failed with a nonzero exit code' in Xcode?
Replies
0
Boosts
0
Views
750
Activity
Jul ’21
DeviceActivityReport failing to load "Code = 2"
Hi! For some reason my DeviceActivityReport sometimes fails to load. I've tried setting up a very simple mock views and displaying a report with a simple Hello world but even that won't work. It prints the following error message in the terminal but doesn't show anything else or any context as to what has gone wrong. Failed to update the client's configuration: Error Domain=DeviceActivityReportService.ReportViewController.ClientError Code=2 (null) It seems like the makeConfiguration method for the report isn't even being invoked. That may though just be an issue with printing messages in the extension. Any help on what could be the issue, or even just a message that you're being the same thing would be greatly appreciated!
Replies
0
Boosts
0
Views
191
Activity
Oct ’25
Reply to HTTP/3 Quic support in MacOS?
It depends on what you mean by “full part of the OS”. From the perspective of a native app developer, you can opt into to HTTP/3 with a simple flag. For example, when I run the code at the end of this response on macOS 13 it prints: protocols: [h3, h3, h3] status: 200 bytes: 13484 showing that all 3 transactions in this request ran over HTTP/3. Note This test was inspired by the code in TN3102 HTTP/3 in your app. Or are you asking specifically about Safari? Share and Enjoy — Quinn “The Eskimo!” @ Developer Technical Support @ Apple let myEmail = eskimo + 1 + @ + apple.com import Foundation @main class Main: NSObject, URLSessionTaskDelegate { func run() async throws { let config = URLSessionConfiguration.default config.requestCachePolicy = .reloadIgnoringLocalCacheData let session = URLSession(configuration: config, delegate: self, delegateQueue: .main) // We are leaking session here but that’s OK in this test project. print(will start task) let ur
Replies
Boosts
Views
Activity
Feb ’23
Reply to Weatherkit Rest API 500 errors this morning
We are seeing most calls returning a 502 or 503. The calls that do return have very slow response times.
Topic: App & System Services SubTopic: General Tags:
Replies
Boosts
Views
Activity
Mar ’23
VTDecompressionSessionCreate fails with code -12911 on M1 iPad
In the context of an app that uses a VTDecompressionSession to decode incoming ts streams, the creation of the decompression session always fails for some h264 streams with code -12911 when running on a M1 iPad (iPad Pro, 12.9-inch, 5th generation, iOS 15.5). When the same app is executed on my M1 Mac mini -as My Mac (Designed for iPad)- with the same stream, VTDecompressionSessionCreatesucceeds and the stream can be decoded. Any idea of what could cause this error on the iPad? The code: decompressionSessionCreationStatus = VTDecompressionSessionCreate(allocator: kCFAllocatorDefault, formatDescription: videoFormatDescription!, decoderSpecification: nil, imageBufferAttributes: nil, outputCallback: nil, decompressionSessionOut: &videoDecompressionSession) if videoDecompressionSession != nil { ... } else { NSLog(videoDecompressionSession could not be created (status: %d): video format: %@, decompressionSessionCreationStatus, (videoFormatDescription != nil) ? (CFCopyDescrip
Replies
2
Boosts
0
Views
1.5k
Activity
Jun ’22